spandsp 0.0.6

fsk_tx_state_s Struct Reference

`#include <fsk.h>`

## Public Attributes
int | baud_rate
get_bit_func_t | get_bit
| The callback function used to get the next bit to be transmitted.
void * | get_bit_user_data
| A user specified opaque pointer passed to the get_bit function.
modem_tx_status_func_t | status_handler
| The callback function used to report modem status changes.
void * | status_user_data
| A user specified opaque pointer passed to the status function.
int32_t | phase_rates [2]
int16_t | scaling
int32_t | current_phase_rate
uint32_t | phase_acc
int | baud_frac
int | shutdown

## Detailed Description

FSK modem transmit descriptor. This defines the state of a single working instance of an FSK modem transmitter.

The documentation for this struct was generated from the following file:

- private/fsk.h